Skip to main content
GET
/
api
/
v1
/
mileage
List Mileage Trips
curl --request GET \
  --url https://api.example.com/api/v1/mileage
[
  {
    "id": 1,
    "user_id": 1,
    "assignment_id": 1,
    "date": "2025-02-15",
    "miles": 120,
    "purpose": "work_travel",
    "origin": "Nashville, TN",
    "destination": "Houston, TX",
    "notes": "Drive to new assignment",
    "created_at": "2025-02-15T08:00:00.000Z"
  }
]

Query Parameters

year
string
Filter by year (YYYY).
assignment_id
integer
Filter by linked assignment.
limit
integer
default:"100"
Maximum records (1–200).
offset
integer
default:"0"
Records to skip.

Response

Returns an array of trip objects with X-Total-Count header.
[
  {
    "id": 1,
    "user_id": 1,
    "assignment_id": 1,
    "date": "2025-02-15",
    "miles": 120,
    "purpose": "work_travel",
    "origin": "Nashville, TN",
    "destination": "Houston, TX",
    "notes": "Drive to new assignment",
    "created_at": "2025-02-15T08:00:00.000Z"
  }
]